summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/a/coreutils/DIR_COLORS4
-rwxr-xr-xsource/a/coreutils/coreutils.SlackBuild2
-rwxr-xr-xsource/a/elvis/elvis.SlackBuild2
-rw-r--r--source/a/elvis/elvis.clr.orig56
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild20
-rw-r--r--source/kde/kde/build/plasma-desktop2
-rw-r--r--source/kde/kde/patch/plasma-desktop.patch2
-rwxr-xr-xsource/l/gst-plugins-bad-free/fetch-sources.sh44
-rwxr-xr-xsource/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh188
-rwxr-xr-xsource/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild152
-rw-r--r--source/l/gst-plugins-bad-free/gst-plugins-bad.url1
-rw-r--r--source/l/gst-plugins-bad-free/slack-desc19
-rw-r--r--source/l/gst-plugins-good/slack-desc10
-rwxr-xr-xsource/l/libssh2/libssh2.SlackBuild2
-rwxr-xr-xsource/n/lynx/lynx.SlackBuild10
-rw-r--r--source/n/lynx/lynx.cfg.diff15
-rw-r--r--source/n/lynx/slack-desc6
-rwxr-xr-xsource/xap/x3270/x3270.SlackBuild54
-rw-r--r--source/xap/x3270/x3270.url1
-rwxr-xr-xsource/xap/xpdf/xpdf.SlackBuild7
20 files changed, 483 insertions, 114 deletions
diff --git a/source/a/coreutils/DIR_COLORS b/source/a/coreutils/DIR_COLORS
index 17120ec63..ceb18a087 100644
--- a/source/a/coreutils/DIR_COLORS
+++ b/source/a/coreutils/DIR_COLORS
@@ -130,10 +130,12 @@ EXEC 01;32 # This is for files with execute permission:
.txz 01;31
.tz 01;31
.tz2 01;31
+.tzst 01;31
.xz 01;31
.z 01;31
.zip 01;31
.zoo 01;31
+.zst 01;31
# multimedia (video/image/sound) file formats
.aac 01;35
@@ -146,11 +148,13 @@ EXEC 01;32 # This is for files with execute permission:
.bmp 01;35
.divx 01;35
.flac 01;35
+.flv 01;35
.gif 01;35
.ico 01;35
.jpg 01;35
.jpeg 01;35
.m2a 01;35
+.m2t 01;35
.m2v 01;35
.m4a 01;35
.m4p 01;35
diff --git a/source/a/coreutils/coreutils.SlackBuild b/source/a/coreutils/coreutils.SlackBuild
index 7115320b9..d54fbde85 100755
--- a/source/a/coreutils/coreutils.SlackBuild
+++ b/source/a/coreutils/coreutils.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=coreutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/a/elvis/elvis.SlackBuild b/source/a/elvis/elvis.SlackBuild
index c8eb3e9c3..fe2817d3b 100755
--- a/source/a/elvis/elvis.SlackBuild
+++ b/source/a/elvis/elvis.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=elvis
VERSION=2.2_0
-BUILD=${BUILD:-7}
+BUILD=${BUILD:-8}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/elvis/elvis.clr.orig b/source/a/elvis/elvis.clr.orig
deleted file mode 100644
index d132c6738..000000000
--- a/source/a/elvis/elvis.clr.orig
+++ /dev/null
@@ -1,56 +0,0 @@
-switch gui
-case windows
-case x11 {
- color normal black on gray90
- color argument like keyword green or dark green
- color bottom like normal
- color comment italic dark green or light green
- color cursor blue on navyblue
- color fixed gray35 or gray80
- color function Red4 or pink
- color guide white
- color hexheading gray70
- color hlsearch boxed
- color keyword bold
- color libt like keyword italic
- color linenumber gray
- color link like formatted underlined blue or light blue
- color number Blue4 or light blue
- color other like keyword
- color prep bold Blue4 or light blue
- color prepquote like string
- color scroll like tool
- color scrollbar like toolbar
- color selection on tan
- color spell on pink
- color status like tool
- color statusbar like toolbar
- color string tan4 or tan1
- color tool black on gray75
- color toolbar white on gray40
- color variable Gray15 or palegoldenrod
-}
-case vio
-case termcap {
- color normal yellow or black
- color char like string
- color comment italic light green or green
- color fixed white or gray
- color function light cyan or cyan
- color hexheading gray
- color hlsearch bold
- color keyword bold white or black
- color libt like keyword
- color linenumber gray
- color link underlined blue or light cyan
- color number light cyan or blue
- color other like keyword
- color prep bold magenta or blue
- color prepquote like string
- color regexp like string
- color ruler blue or light cyan
- color showmode green boxed
- color spell red or light magenta
- color string white or brown
- color variable like normal
-}
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index a3d59afd6..8725ddbaa 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=subversion
VERSION=${VERSION:-$(echo subversion-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -98,16 +98,14 @@ CFLAGS="$SLKCFLAGS" \
--with-lz4=/usr \
--with-zlib=/usr \
--with-pic \
+ --with-kwallet \
+ --with-gnome-keyring \
--build=$ARCH-slackware-linux || exit 1
-# Leave this out for now, because having qt5 and KDE4 installed confuses it.
-# We'll look at it again once we have Plasma 5.
-# --with-kwallet
-
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-make install-tools DESTDIR=$PKG || exit 1
-make install-docs DESTDIR=$PKG || exit 1
+make $NUMJOBS install DESTDIR=$PKG || exit 1
+make $NUMJOBS install-tools DESTDIR=$PKG || exit 1
+make $NUMJOBS install-docs DESTDIR=$PKG || exit 1
## COMMENTED OUT - this doesn't work with swig > 4.0.0
## If something actually needs it, let me know and I'll look at it again.
@@ -125,14 +123,14 @@ make $NUMJOBS swig-pl-lib || exit 1
make install-swig-pl-lib DESTDIR=$PKG || exit 1
( cd subversion/bindings/swig/perl/native
perl Makefile.PL
- make install_vendor DESTDIR=$PKG || exit 1
+ make $NUMJOBS install_vendor DESTDIR=$PKG || exit 1
) || exit 1
eval $(perl '-V:archlib')
mv $PKG/$archlib/perllocal.pod $PKG/$archlib/subversion.pod
# Ruby bindings
make $NUMJOBS swig-rb || exit 1
-make install-swig-rb DESTDIR=$PKG || exit 1
+make $NUMJOBS install-swig-rb DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
diff --git a/source/kde/kde/build/plasma-desktop b/source/kde/kde/build/plasma-desktop
index d00491fd7..0cfbf0888 100644
--- a/source/kde/kde/build/plasma-desktop
+++ b/source/kde/kde/build/plasma-desktop
@@ -1 +1 @@
-1
+2
diff --git a/source/kde/kde/patch/plasma-desktop.patch b/source/kde/kde/patch/plasma-desktop.patch
index fddf562e8..eddacf9b6 100644
--- a/source/kde/kde/patch/plasma-desktop.patch
+++ b/source/kde/kde/patch/plasma-desktop.patch
@@ -1,2 +1,4 @@
# Don't include Discover or Konqueror launchers on the taskbar (thanks to alienBOB):
cat $CWD/patch/plasma-desktop/plasma-desktop.default_launcher_tasks.diff | patch -p1 --verbose || { touch ${SLACK_KDE_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
+# Don't leave an .orig file to be packaged:
+rm -f ./applets/taskmanager/package/contents/config/main.xml.orig
diff --git a/source/l/gst-plugins-bad-free/fetch-sources.sh b/source/l/gst-plugins-bad-free/fetch-sources.sh
new file mode 100755
index 000000000..69c380c27
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/fetch-sources.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Call this script with the version of the gst-plugins-bad that you would
+# like to fetch the sources for. This will fetch the base source from
+# github, and then remove the non-free sources.
+#
+# Example: VERSION=1.18.3 ./fetch-sources.sh
+
+VERSION=${VERSION:-1.18.5}
+
+rm -rf rm -rf gst-plugins-bad-free-$VERSION gst-plugins-bad-$VERSION
+
+wget https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-$VERSION.tar.xz
+
+tar xvf gst-plugins-bad-$VERSION.tar.xz
+rm -f gst-plugins-bad-$VERSION.tar.xz
+
+./gst-p-bad-cleanup.sh gst-plugins-bad-$VERSION
+
+mv gst-plugins-bad-$VERSION gst-plugins-bad-free-$VERSION
+
+tar cf gst-plugins-bad-free-$VERSION.tar gst-plugins-bad-free-$VERSION
+rm -rf gst-plugins-bad-free-$VERSION
+plzip -9 gst-plugins-bad-free-$VERSION.tar
diff --git a/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh b/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh
new file mode 100755
index 000000000..e00f2caea
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/gst-p-bad-cleanup.sh
@@ -0,0 +1,188 @@
+#!/bin/sh
+
+# Process a gst-plugins-bad tarball to remove
+# unwanted GStreamer plugins.
+#
+# See https://bugzilla.redhat.com/show_bug.cgi?id=532470
+# for details
+#
+# Bastien Nocera <bnocera@redhat.com> - 2010
+#
+
+DIRECTORY="$1"
+
+ALLOWED="
+aacparse
+accurip
+adpcmdec
+adpcmenc
+aiff
+aiffparse
+amrparse
+asfmux
+audiobuffersplit
+audiofxbad
+audiolatency
+audiomixer
+audiomixmatrix
+audioparsers
+audiovisualizers
+autoconvert
+bayer
+camerabin
+camerabin2
+cdxaparse
+coloreffects
+colorspace
+compositor
+dataurisrc
+dccp
+debugutils
+dtmf
+dvbsubenc
+faceoverlay
+festival
+fieldanalysis
+freeverb
+freeze
+frei0r
+gaudieffects
+gdp
+geometrictransform
+h264parse
+hdvparse
+hls
+id3tag
+inter
+interlace
+invtelecine
+ivfparse
+ivtc
+jpegformat
+jp2kdecimator
+legacyresample
+librfb
+liveadder
+midi
+mve
+mpegdemux
+mpeg4videoparse
+mpegpsmux
+mpegtsdemux
+mpegtsmux
+mpegvideoparse
+mxf
+netsim
+nsf
+nuvdemux
+onvif
+patchdetect
+pcapparse
+pnm
+proxy
+qtmux
+rawparse
+removesilence
+rist
+rtmp2
+rtp
+rtpmux
+rtpvp8
+scaletempo
+sdi
+sdp
+segmentclip
+selector
+smooth
+speed
+stereo
+subenc
+switchbin
+timecode
+transcode
+tta
+valve
+videofilters
+videoframe_audiolevel
+videomaxrate
+videomeasure
+videoparsers
+videosignal
+vmnc
+yadif
+y4m
+"
+
+NOT_ALLOWED="
+dvbsuboverlay
+dvdspu
+real
+siren
+"
+
+error()
+{
+ MESSAGE=$1
+ echo $MESSAGE
+ exit 1
+}
+
+check_allowed()
+{
+ MODULE=$1
+ for i in $ALLOWED ; do
+ if test x$MODULE = x$i ; then
+ return 0;
+ fi
+ done
+ # Ignore errors coming from ext/ directory
+ # they require external libraries so are ineffective anyway
+ return 1;
+}
+
+check_not_allowed()
+{
+ MODULE=$1
+ for i in $NOT_ALLOWED ; do
+ if test x$MODULE = x$i ; then
+ return 0;
+ fi
+ done
+ return 1;
+}
+
+pushd $DIRECTORY > /dev/null || error "Cannot open directory \"$DIRECTORY\""
+
+unknown=""
+for subdir in gst ext sys; do
+ for dir in $subdir/* ; do
+ # Don't touch non-directories
+ if ! [ -d $dir ] ; then
+ continue;
+ fi
+ MODULE=`basename $dir`
+ if ( check_not_allowed $MODULE ) ; then
+ echo "**** Removing $MODULE ****"
+ echo "Removing directory $dir"
+ rm -r $dir || error "Cannot remove $dir"
+ echo
+ elif test $subdir = ext || test $subdir = sys; then
+ # Ignore library or system non-blacklisted plugins
+ continue;
+ elif ! ( check_allowed $MODULE ) ; then
+ echo "Unknown module in $dir"
+ unknown="$unknown $dir"
+ fi
+ done
+done
+
+echo
+
+if test "x$unknown" != "x"; then
+ echo -n "Aborting due to unkown modules: "
+ echo "$unknown" | sed "s/ /\n /g"
+ exit 1
+fi
+
+popd > /dev/null
+
diff --git a/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
new file mode 100755
index 000000000..ecec23a3d
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/gst-plugins-bad-free.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/bash
+
+# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
+# Copyright 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=gst-plugins-bad-free
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# If this package is being built for ALSA (no PulseAudio), use the _alsa $TAG:
+if [ ! -r /usr/lib${LIBDIRSUFFIX}/pkgconfig/libpulse.pc ]; then
+ TAG="_alsa"
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.txz"
+ exit 0
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -D dvbsuboverlay=disabled \
+ -D dvdspu=disabled \
+ -D siren=disabled \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS* COPYING* ChangeLog NEWS* README* RELEASE* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.txz
+
diff --git a/source/l/gst-plugins-bad-free/gst-plugins-bad.url b/source/l/gst-plugins-bad-free/gst-plugins-bad.url
new file mode 100644
index 000000000..06dd75495
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/gst-plugins-bad.url
@@ -0,0 +1 @@
+https://gstreamer.freedesktop.org/src/
diff --git a/source/l/gst-plugins-bad-free/slack-desc b/source/l/gst-plugins-bad-free/slack-desc
new file mode 100644
index 000000000..3ac60288c
--- /dev/null
+++ b/source/l/gst-plugins-bad-free/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-plugins-bad-free: gst-plugins-bad-free (bad set of GStreamer plugins)
+gst-plugins-bad-free:
+gst-plugins-bad-free: GStreamer Bad Plug-ins is a set of plug-ins that aren't tested well
+gst-plugins-bad-free: enough, or the code is not of good enough quality. They might be close
+gst-plugins-bad-free: to being good quality, but they're missing something - be it a good
+gst-plugins-bad-free: code review, some documentation, a set of tests, a real live
+gst-plugins-bad-free: maintainer, or some actual wide use.
+gst-plugins-bad-free:
+gst-plugins-bad-free: gst-plugins-bad-free packages the bad plugins with licenses that are
+gst-plugins-bad-free: free enough to ship.
+gst-plugins-bad-free:
diff --git a/source/l/gst-plugins-good/slack-desc b/source/l/gst-plugins-good/slack-desc
index 6698c01fb..a7769a91b 100644
--- a/source/l/gst-plugins-good/slack-desc
+++ b/source/l/gst-plugins-good/slack-desc
@@ -5,13 +5,13 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler---------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
gst-plugins-good: gst-plugins-good (good set of GStreamer plugins)
gst-plugins-good:
-gst-plugins-good: GStreamer Good Plug-ins is a set of plug-ins that have good
-gst-plugins-good: quality code, correct functionality, and a good license
-gst-plugins-good: (LGPL for the plug-in code, LGPL or LGPL-compatible for the
-gst-plugins-good: supporting library).
+gst-plugins-good: GStreamer Good Plug-ins is a set of plug-ins that have good quality
+gst-plugins-good: code, correct functionality, and a good license (LGPL for the plug-in
+gst-plugins-good: code, LGPL or LGPL-compatible for the supporting library).
+gst-plugins-good:
gst-plugins-good:
gst-plugins-good:
gst-plugins-good:
diff --git a/source/l/libssh2/libssh2.SlackBuild b/source/l/libssh2/libssh2.SlackBuild
index 50007b4e7..b50d380a4 100755
--- a/source/l/libssh2/libssh2.SlackBuild
+++ b/source/l/libssh2/libssh2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libssh2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/lynx/lynx.SlackBuild b/source/n/lynx/lynx.SlackBuild
index 33e242c53..0c8159873 100755
--- a/source/n/lynx/lynx.SlackBuild
+++ b/source/n/lynx/lynx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2016, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lynx
-PKGVER=2.8.9rel.1
-DIRVER=2.8.9rel.1
-BUILD=${BUILD:-3}
+PKGVER=2.9.0dev.9
+DIRVER=2.9.0dev.9
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -84,6 +84,8 @@ zcat $CWD/lynx-CVE-2008-4690.patch.gz | patch -p1 --verbose || exit 1
# Change default colors:
zcat $CWD/lynx.cfg.diff.gz | patch -p1 --verbose --backup || exit 1
+find . -name "*.orig" -exec rm "{}" \;
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/n/lynx/lynx.cfg.diff b/source/n/lynx/lynx.cfg.diff
index 244dbd02c..e55238554 100644
--- a/source/n/lynx/lynx.cfg.diff
+++ b/source/n/lynx/lynx.cfg.diff
@@ -1,6 +1,15 @@
---- ./lynx.cfg.orig 2014-03-09 16:43:10.000000000 -0500
-+++ ./lynx.cfg 2017-05-29 14:35:52.629203408 -0500
-@@ -2969,8 +2969,18 @@
+--- ./lynx.cfg.orig 2021-08-01 13:50:51.000000000 -0500
++++ ./lynx.cfg 2021-09-25 13:27:05.424126198 -0500
+@@ -496,7 +496,7 @@
+ # ASSUME_CHARSET can also be changed via the 'o'ptions menu but will
+ # not be saved as permanent value in user's .lynxrc file to avoid more chaos.
+ #
+-#ASSUME_CHARSET:iso-8859-1
++ASSUME_CHARSET:utf-8
+
+ .h2 ASSUMED_DOC_CHARSET_CHOICE
+ .h2 DISPLAY_CHARSET_CHOICE
+@@ -3008,8 +3008,18 @@
#COLOR:4:magenta:white
#COLOR:5:blue:white
#COLOR:6:red:white
diff --git a/source/n/lynx/slack-desc b/source/n/lynx/slack-desc
index 205f6f545..57f563eac 100644
--- a/source/n/lynx/slack-desc
+++ b/source/n/lynx/slack-desc
@@ -12,8 +12,8 @@ lynx: Lynx is a distributed hypertext browser with full World Wide Web
lynx: capabilities. Lynx can be used to access information on the World
lynx: Wide Web, or to build information systems intended primarily for local
lynx: access. For example, Lynx has been used to build several Campus Wide
-lynx: Information Systems (CWIS).
+lynx: Information Systems (CWIS). Lynx's authors include Lou Montulli,
+lynx: Garrett Blythe, Craig Lavender, Michael Grobe, and Charles Rezac.
lynx:
-lynx: Lynx's authors include Lou Montulli, Garrett Blythe, Craig Lavender,
-lynx: Michael Grobe, and Charles Rezac.
+lynx: Homepage: https://lynx.browser.org/
lynx:
diff --git a/source/xap/x3270/x3270.SlackBuild b/source/xap/x3270/x3270.SlackBuild
index 7a7b5340f..1966e0acb 100755
--- a/source/xap/x3270/x3270.SlackBuild
+++ b/source/xap/x3270/x3270.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=x3270
-VERSION=3.3
+VERSION=4.0
TARBVER=${TARBVER:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
VERSION=$(echo $TARBVER | cut -f 1,2 -d .)
-BUILD=${BUILD:-7}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -47,13 +47,7 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i586" ]; then
+if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
@@ -83,7 +77,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf x3270-$VERSION
tar xvf $CWD/x3270-$TARBVER.tar.?z* || exit 1
-cd x3270-3.3 || exit 1
+cd x3270-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -95,38 +89,47 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc/X11 \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --with-fontdir=/usr/share/fonts/misc \
+ --disable-static \
+ --disable-b3270 \
+ --disable-c3270 \
+ --disable-pr3287 \
+ --disable-s3270 \
+ --disable-tcl3270 \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+make install.man DESTDIR=$PKG || exit 1
mv $PKG/etc/X11/x3270/ibm_hosts $PKG/etc/X11/x3270/ibm_hosts.new
+
find $PKG -name fonts.dir -exec rm {} \+
-if [ -d $PKG/usr/lib$LIBDIRSUFFIX/X11/fonts/misc ]; then
- mkdir -p $PKG/usr/share/fonts
- mv $PKG/usr/lib$LIBDIRSUFFIX/X11/fonts/misc $PKG/usr/share/fonts
- rmdir $PKG/usr/lib$LIBDIRSUFFIX/X11/fonts/misc 2> /dev/null
- rmdir $PKG/usr/lib$LIBDIRSUFFIX/X11/fonts 2> /dev/null
- rmdir $PKG/usr/lib$LIBDIRSUFFIX/X11 2> /dev/null
- rmdir $PKG/usr/lib$LIBDIRSUFFIX 2> /dev/null
-fi
+find $PKG -name .gitignore -exec rm {} \+
mkdir -p $PKG/etc/X11/app-defaults
-cat X3270.xad > $PKG/etc/X11/app-defaults/X3270
+cat x3270/fb-x3270 > $PKG/etc/X11/app-defaults/X3270
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-mkdir -p $PKG/usr/man/man{1,5}
-for file in x3270-script.man x3270.man x3270if.man ; do
- cat $file | gzip -9c > $PKG/usr/man/man1/`basename $file .man`.1.gz
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
done
-cat ibm_hosts.man | gzip -9c > $PKG/usr/man/man5/ibm_hosts.5.gz
mkdir -p $PKG/usr/doc/x3270-$TARBVER
cp -a \
- LICENSE README* Examples html \
+ x3270/LICENSE* x3270/README* x3270/Examples x3270/html \
+ README* \
$PKG/usr/doc/x3270-$TARBVER
mkdir -p $PKG/install
@@ -135,4 +138,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/x3270-$TARBVER-$ARCH-$BUILD.txz
-
diff --git a/source/xap/x3270/x3270.url b/source/xap/x3270/x3270.url
new file mode 100644
index 000000000..514a424e3
--- /dev/null
+++ b/source/xap/x3270/x3270.url
@@ -0,0 +1 @@
+https://github.com/pmattes/x3270
diff --git a/source/xap/xpdf/xpdf.SlackBuild b/source/xap/xpdf/xpdf.SlackBuild
index c5faf711f..7f22fbc89 100755
--- a/source/xap/xpdf/xpdf.SlackBuild
+++ b/source/xap/xpdf/xpdf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2017, 2018, 2019, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xpdf
VERSION=4.03
PATCHLEVEL=
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -134,6 +134,9 @@ done
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Remove .orig files from the package:
+find $PKG -name "*.orig" -exec rm "{}" \;
+
mkdir -p $PKG/usr/doc/xpdf-$VERSION
cp -a \
ANNOUNCE CHANGES COPYING* INSTALL README \